Subject: RE: [PATCH v5] Documentation: add platform support policy

From: <[email-masked]>
Date: Fri, 2 Aug 2024 19:32:57 -0400

On Friday, August 2, 2024 7:32 PM, Junio C Hamano wrote:
>Emily Shaffer <[email-masked]> writes:
>
>> - Wording and bulleting format fixes in commit message and body
>>
>> - Clarify cadence for tests against 'next'
>>
>> - Attempt to clarify dependency version minimum requirement to something
>>   reasonable and flexible. Note: This section still probably needs
>>   better wording; I took a crack at it but it still feels awkward.
>>   Suggestions welcome, please.
>>
>> - Be more realistic about finding non-intrusive platform support
>>   approaches ("we'll look for" rather than "we'll definitely find and in
>>   fact know a few options in advance")
>>
>> - Move up "Minimum Requirements" section to the top, so we don't
>>   bait-and-switch maintainers of platforms who don't even meet the
>>   baseline but start making effort to set up testing infrastructure and
>>   so on.
>>
>> I believe that this version addresses Randall's concerns with the
>> "minimum requirements" policy. Are there any other outstanding
>> concerns with the policy itself, as written, or is this ready to go in
>> (modulo nits)?
>
>I won't be able to speak for Randall, but I didn't see anything questionable in the
>changes since the previous iteration (I have not yet read the whole thing again,
>which I will later).

I still have to think about it, but so far, it looks like I can live with this.